// Набор подпрограмм, реализующих стековые операции.
//
// (с) Boland 1994


float st[100];
int sts;

void pushstack(float a)
{
  if(sts==100)
      errorlevel=1;
    else
     st[++sts]=a;
  return;
}

void clearstack()
{
  sts=0;
}

float popstack()
{
  if(sts==0)
      { errorlevel=2; return 0; }
    else
      return st[sts--];
}
